ATL Vulnerability?

This Forum is for the use of Software Developers requiring help and assistance for Tracker Software's PDF-XChange Printer Drivers SDK (only) - Please use the PDF-Tools SDK Forum for Library DLL assistance.

Moderators: TrackerSupp-Daniel, Tracker Support, Vasyl-Tracker Dev Team, Sean - Tracker, Chris - Tracker Supp, Tracker Supp-Stefan, Ivan - Tracker Software, Andrew - Tracker Support, Tracker - Clarion Support, John - Tracker Supp, Support Staff, moderators

Post Reply
cbwk
User
Posts: 2
Joined: Thu Sep 03, 2009 2:47 pm

ATL Vulnerability?

Post by cbwk » Thu Sep 03, 2009 3:03 pm

Are any of the PDF-XChange v3 SDk components and\or redistributables subject to the ATL Vulnerability reported by Microsoft at the end of July, 2009?
If Yes, is there any kind of patch or hotfix available? If there isn't one available now, will there be one made available and when?

Thanks

User avatar
Tracker Supp-Stefan
Site Admin
Posts: 13536
Joined: Mon Jan 12, 2009 8:07 am
Location: London
Contact:

Re: ATL Vulnerability?

Post by Tracker Supp-Stefan » Thu Sep 03, 2009 3:26 pm

Hello cbwk,

We will investigate this vulnerability now but as far as we are aware the vulnerability is in the ATL.dll and we are always using statically linked ATL Library so the changes are that our SDKs are not affected.


Update: Our Project Leader just confirmed that we are not affected. :)

Regards,
Stefan

cbwk
User
Posts: 2
Joined: Thu Sep 03, 2009 2:47 pm

Re: ATL Vulnerability?

Post by cbwk » Thu Sep 03, 2009 3:59 pm

Great, thank you.

User avatar
Tracker Supp-Stefan
Site Admin
Posts: 13536
Joined: Mon Jan 12, 2009 8:07 am
Location: London
Contact:

Re: ATL Vulnerability?

Post by Tracker Supp-Stefan » Thu Sep 03, 2009 4:49 pm

Always a pleasure to bring the good news :)

Cheers,
Stefan

Post Reply